| Home | Libraries | People | FAQ | More

##### basic_seq_packet_socket::basic_seq_packet_socket (1 of 5 overloads)

Construct a `basic_seq_packet_socket` without opening it.

    basic_seq_packet_socket(
        boost::asio::io_service & io_service);

This constructor creates a sequenced packet socket without opening it. The socket needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_service

  The `io_service` object that the sequenced packet socket will use to dispatch handlers for any asynchronous operations performed on the socket.